## org.eclipse.emf.mapping.ecore2xml
Class Ecore2XMLRegistry.Reader

    java.lang.Object
      org.eclipse.emf.mapping.ecore2xml.Ecore2XMLRegistry.Reader

Enclosing interface:
  Ecore2XMLRegistry

    public static class Ecore2XMLRegistry.Reader

extends java.lang.Object

Reads and registers Ecore2XML mappings in the extension registry.

Nested Class Summary
`protected static class` `Ecore2XMLRegistry.Reader.Ecore2XMLDescriptor`

Field Summary
`protected static java.lang.String` `ATT_URI`
`protected static java.lang.String` `ATT_XMLMAP`
`protected static java.lang.String` `TAG_ECORE2XML`

Constructor Summary
`Ecore2XMLRegistry.Reader(IExtensionRegistry extensionRegistry, java.lang.String namespace, java.lang.String extensionPointID)`

Method Summary
`protected void` `readElement(IConfigurationElement element)`
`void` `readRegistry()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_ECORE2XML

    protected static final java.lang.String TAG_ECORE2XML

See Also:
  Constant Field Values

### ATT_URI

    protected static final java.lang.String ATT_URI

See Also:
  Constant Field Values

### ATT_XMLMAP

    protected static final java.lang.String ATT_XMLMAP

See Also:
  Constant Field Values

Constructor Detail

### Ecore2XMLRegistry.Reader

    public Ecore2XMLRegistry.Reader(IExtensionRegistry extensionRegistry,
                                    java.lang.String namespace,
                                    java.lang.String extensionPointID)

Method Detail

### readElement

    protected void readElement(IConfigurationElement element)

### readRegistry

    public void readRegistry()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.